Skip site navigation (1) Skip section navigation (2)

Re: Issue with libpq < 8.4

From: Magnus Hagander <magnus(at)hagander(dot)net>
To: Guillaume Lelarge <guillaume(at)lelarge(dot)info>
Cc: Dave Page <dpage(at)pgadmin(dot)org>, pgadmin-hackers <pgadmin-hackers(at)postgresql(dot)org>
Subject: Re: Issue with libpq < 8.4
Date: 2010-08-24 12:05:07
Message-ID: AANLkTi=wVQ4fxpYaK8vjNbnju2fxTtb4KTgaW6BfTojV@mail.gmail.com (view raw or flat)
Thread:
Lists: pgadmin-hackers
On Tue, Aug 24, 2010 at 2:01 PM, Guillaume Lelarge
<guillaume(at)lelarge(dot)info> wrote:
> Le 24/08/2010 13:51, Dave Page a écrit :
>> On Tue, Aug 24, 2010 at 12:48 PM, Magnus Hagander <magnus(at)hagander(dot)net>
>> wrote:
>>> Actually, what happens if we try to use PQconnect() with
>>> applicaiton_name on an older version? I assume it fails, and not just
>>> works and ignores it?
>>
>> iirc, yes.
>>
>
> We have this in the log:
>
> FATAL:  unrecognized configuration parameter "application_name"
>
> And then it connects.
>
> At least with a 9.0 libpq and a 8.3.0 PostgreSQL server.

Yeah, the interesting thing would be an 8.3 libpq, if you just throw
it the connection string and don't try to use PQparseconnInfo().

-- 
 Magnus Hagander
 Me: http://www.hagander.net/
 Work: http://www.redpill-linpro.com/

In response to

Responses

pgadmin-hackers by date

Next:From: Dave PageDate: 2010-08-24 12:11:28
Subject: pgAdmin III commit: Cleanup some inconsistencies in the VC++ projectfi
Previous:From: Guillaume LelargeDate: 2010-08-24 12:01:51
Subject: Re: Issue with libpq < 8.4

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group